###
###     HEMOS common login script
###     May 13, 1996
###     by jay_adm
###

# If TERM is not set, see if our port is listed in /etc/ttytype.
# If /etc/ttytype doesn't have information for our port, run
# ttytype(1) to try to determine the type of terminal we have.
#
# To have ttytype(1) prompt for the terminal type before trying
# to automatically identify the terminal, add the "-p" option
# to the "ttytype -s" command below.
#

# Miscellaneous shell-only actions:

### for message of the day
if ( -f /afs/postech/sys/common/etc/motd ) then
	cat /afs/postech/sys/common/etc/motd
endif

### for global environment variables
if ( -f /afs/postech/sys/common/etc/csh.environ ) then
	source /afs/postech/sys/common/etc/csh.environ
endif

### for system specific login script
if ( -f /afs/postech/sys/\@sys/etc/csh.login ) then
	source /afs/postech/sys/\@sys/etc/csh.login
endif

# +++ Added by i18nsetup +++
if (-f /etc/i18n_login) then
	source /etc/i18n_login
	setenv LANG ko_KR
endif
# --- i18nsetup End ---

# password expiration warning
if ( $?PASSWORD_EXPIRES ) then
        echo "[NOTE] HEMOS Password will expire $PASSWORD_EXPIRES days later."
        if ( $PASSWORD_EXPIRES < 7 ) then
                echo " > You need to change your password right now."
        endif
endif
